## python-hpilo 2.11

=== debian/changelog ===
python-hpilo (2.11-1) unstable; urgency=low

  * Initial release (Closes: #775919)

 -- Sandro Tosi <morph@debian.org>  Sun, 25 Jan 2015 20:34:39 +0000

=== debian/watch ===
version=3
https://pypi.python.org/packages/source/p/python-hpilo/python-hpilo-(.*)\.tar.gz

## python-hpilo 4.4.3

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/python-hpilo.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/python-hpilo.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/python-hpilo"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/python-hpilo"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## python-hpilo 2.12.1

=== debian/changelog ===
python-hpilo (2.12.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch
    - use PyPI redirector
  * debian/copyright
    - extend upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 11 Apr 2015 14:49:16 +0100

=== debian/control ===
Source: python-hpilo
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-cloud-sptheme, python-sphinx
Standards-Version: 3.9.6
Homepage: https://github.com/seveas/python-hpilo
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-hpilo/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-hpilo/trunk/

Package: python-hpilo
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}
Suggests: python-hpilo-doc, openssl
Description: HP iLO XML interface access from Python
 This module will make it easy for you to access the Integrated Lights Out
 management interface of your HP hardware. It supports RILOE II, iLO, iLO 2, iLO
 3 and iLO 4. It uses the XML interface or hponcfg to access and change the iLO.

Package: python3-hpilo
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-hpilo-doc
Description: HP iLO XML interface access from Python (Python 3)
 This module will make it easy for you to access the Integrated Lights Out
 management interface of your HP hardware. It supports RILOE II, iLO, iLO 2, iLO
 3 and iLO 4. It uses the XML interface or hponcfg to access and change the iLO.
 .
 This package contains the Python 3 version of hpilo.

Package: python-hpilo-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: HP iLO XML interface access from Python - Documentation
 This module will make it easy for you to access the Integrated Lights Out
 management interface of your HP hardware. It supports RILOE II, iLO, iLO 2, iLO
 3 and iLO 4. It uses the XML interface or hponcfg to access and change the iLO.
 .
 This package contains the documentation for hpilo Python module.

## python-hpilo 3.6

=== debian/changelog ===
python-hpilo (3.6-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/docs
    - use README.md, new file name
  * debian/python-hpilo-doc.examples
    - install examples in the -doc pkg
  * debian/control
    - point Vcs-Git to HTTPS

 -- Sandro Tosi <morph@debian.org>  Mon, 08 Feb 2016 21:51:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-cloud-sptheme, python-sphinx
 Standards-Version: 3.9.6
 Homepage: https://github.com/seveas/python-hpilo
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/python-hpilo/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/python-hpilo/trunk/
+Vcs-Git: https://anonscm.debian.org/python-modules/packages/python-hpilo.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hpilo.git
 
 Package: python-hpilo
 Architecture: all

## python-hpilo 3.8

=== debian/changelog ===
python-hpilo (3.8-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)

  [ Ondřej Nový ]
  * Fixed VCS URL

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jun 2016 12:23:02 +0100

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,9 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-cloud-sptheme, python-sphinx
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: https://github.com/seveas/python-hpilo
-Vcs-Git: https://anonscm.debian.org/python-modules/packages/python-hpilo.git
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hpilo.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hpilo.git
 
 Package: python-hpilo

## python-hpilo 3.9

=== debian/changelog ===
python-hpilo (3.9-1) unstable; urgency=medium

  * New upstream release
  * compat level 10

 -- Sandro Tosi <morph@debian.org>  Fri, 16 Dec 2016 22:19:45 -0500

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 9.0.0), python, python3, dh-python, python-cloud-sptheme, python-sphinx
+Build-Depends: debhelper (>= 10), python, python3, dh-python, python-cloud-sptheme, python-sphinx
 Standards-Version: 3.9.8
 Homepage: https://github.com/seveas/python-hpilo
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hpilo.git

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG2=python-hpilo
PKG3=python3-hpilo
PKGD=python-hpilo-doc

%:
	dh $@ --with python2,python3,sphinxdoc

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

override_dh_install:
	python  setup.py install --root=$(CURDIR)/debian/$(PKG2)/ --install-layout=deb
	python3 setup.py install --root=$(CURDIR)/debian/$(PKG3)/ --install-layout=deb

	# remove extra binaries from PKG3
	rm -rf $(CURDIR)/debian/$(PKG3)/usr/bin

	# move generated doc in its own package
	mkdir -p $(CURDIR)/debian/$(PKGD)/usr/share/doc/$(PKGD)
	cp -arp docs/_build/html $(CURDIR)/debian/$(PKGD)/usr/share/doc/$(PKGD)

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/python-hpilo/python-hpilo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hpilo 4.2.1

=== debian/changelog ===
python-hpilo (4.2.1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright
    - update upstream copyright years
  * debian/control
    - use sphinx-rtd-theme in b-d

 -- Sandro Tosi <morph@debian.org>  Mon, 11 Jun 2018 00:26:21 -0400

python-hpilo (3.9-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/watch: Use https protocol

  [ Sandro Tosi ]
  * debian/control
    - add python3-distutils to b-d; Closes: #896776
    - bump Standards-Version to 4.1.4 (no changes needed)
  * debian/copyright
    - extend packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Thu, 26 Apr 2018 23:28:15 -0400

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10), python, python3, dh-python, python-cloud-sptheme, python-sphinx
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), python, python3, dh-python, python-sphinx-rtd-theme, python-sphinx, python3-distutils
+Standards-Version: 4.1.4
 Homepage: https://github.com/seveas/python-hpilo
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/python-hpilo.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/python-hpilo.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/python-hpilo.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hpilo
 
 Package: python-hpilo
 Architecture: all

## python-hpilo 4.3

=== debian/changelog ===
python-hpilo (4.3-3) unstable; urgency=medium

  * debian/control
    - add Breaks+Replaces: python-hpilo; Closes: #938956

 -- Sandro Tosi <morph@debian.org>  Fri, 06 Sep 2019 00:32:57 -0400

python-hpilo (4.3-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

  [ Sandro Tosi ]
  * Drop python 2 support + use pybuild
  * debian/control
    - switch to py3k sphinx

 -- Sandro Tosi <morph@debian.org>  Mon, 26 Aug 2019 00:02:31 -0400

python-hpilo (4.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)
  * bump compat level to 11

 -- Sandro Tosi <morph@debian.org>  Sun, 03 Feb 2019 14:34:46 -0500

=== debian/control ===
--- 
+++ 
@@ -3,25 +3,18 @@
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Build-Depends: debhelper (>= 10), python, python3, dh-python, python-sphinx-rtd-theme, python-sphinx, python3-distutils
-Standards-Version: 4.1.4
+Build-Depends: debhelper-compat (= 11), python3, dh-python, python3-sphinx-rtd-theme, python3-sphinx, python3-distutils
+Standards-Version: 4.4.0
 Homepage: https://github.com/seveas/python-hpilo
 Vcs-Git: https://salsa.debian.org/python-team/modules/python-hpilo.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/python-hpilo
-
-Package: python-hpilo
-Architecture: all
-Depends: ${python:Depends}, ${misc:Depends}
-Suggests: python-hpilo-doc, openssl
-Description: HP iLO XML interface access from Python
- This module will make it easy for you to access the Integrated Lights Out
- management interface of your HP hardware. It supports RILOE II, iLO, iLO 2, iLO
- 3 and iLO 4. It uses the XML interface or hponcfg to access and change the iLO.
 
 Package: python3-hpilo
 Architecture: all
 Depends: ${python3:Depends}, ${misc:Depends}
 Suggests: python-hpilo-doc
+Breaks: python-hpilo
+Replaces: python-hpilo
 Description: HP iLO XML interface access from Python (Python 3)
  This module will make it easy for you to access the Integrated Lights Out
  management interface of your HP hardware. It supports RILOE II, iLO, iLO 2, iLO

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG3=python3-hpilo
PKGD=python-hpilo-doc

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	$(MAKE) -C docs html

override_dh_install:
	python3 setup.py install --root=$(CURDIR)/debian/$(PKG3)/ --install-layout=deb

	# move generated doc in its own package
	mkdir -p $(CURDIR)/debian/$(PKGD)/usr/share/doc/$(PKGD)
	cp -arp docs/_build/html $(CURDIR)/debian/$(PKGD)/usr/share/doc/$(PKGD)

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/python-hpilo/python-hpilo-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-hpilo 4.4.3

=== debian/changelog ===
python-hpilo (4.4.3-7) unstable; urgency=medium

  * d/control: Add Multi-Arch: foreign in python3-hpilo binary package.

 -- Emmanuel Arias <eamanu@debian.org>  Fri, 19 Sep 2025 15:48:11 -0300

python-hpilo (4.4.3-6) unstable; urgency=medium

  [ Otto Kekäläinen ]
  * Enable Salsa CI using default template

  [ Emmanuel Arias ]
  * d/control: Bump Standards-Version to 4.7.2 (from 4.6.2; no further
    changes needed).
  * d/control: Apply patch from upstream to fix SyntaxWarnings (Closes:
    #1085918).
  * d/rules: Clean docs/_build folder during clean (Closes: #1048023).
  * d/rules: Remove examples/elasticsearch/.gitignore file.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 14 Sep 2025 00:58:45 -0300

python-hpilo (4.4.3-5) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Remove trailing comma from Maintainer: field that confused UDD & the
    Tracker

  [ Giacomo Paviano ]
  * Make `hpilo_cli get_product_name` Python3-compatible (Closes: #1109265)

 -- Otto Kekäläinen <otto@debian.org>  Sat, 26 Jul 2025 11:02:42 -0700

python-hpilo (4.4.3-4) unstable; urgency=medium

  * d/control: Adopt package. Add mysel as Uploaders. Closes: #888079.
  * Packaging update
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Remove field Testsuite on binary package python-hpilo-doc that
    duplicates source.
  * d/upstream/metadata: Add metadata file.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 13 Mar 2024 19:15:08 -0300

python-hpilo (4.4.3-3) unstable; urgency=medium

  * orphan

 -- Sandro Tosi <morph@debian.org>  Wed, 28 Feb 2024 01:13:16 -0500

python-hpilo (4.4.3-2) unstable; urgency=medium

  * debian/rules
    - define PYBUILD_NAME

 -- Sandro Tosi <morph@debian.org>  Sat, 18 Jun 2022 20:02:44 -0400

python-hpilo (4.4.3-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * New upstream release
  * Use the new Debian Python Team contact name and address
  * debian/watch
    - track github releases
  * debian/copyright
    - update upstream copyright years
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 4.6.1 (no changes needed)
    - run wrap-and-sort
    - switch distutils for setuptools in b-d
    - bump debhelper-compat to 13
  * debian/rules
    - disable tests, for now

 -- Sandro Tosi <morph@debian.org>  Mon, 06 Jun 2022 21:56:02 -0400

=== debian/control ===
Source: python-hpilo
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@debian.org>,
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3,
               python3-setuptools,
               python3-sphinx,
               python3-sphinx-rtd-theme
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-hpilo
Vcs-Git: https://salsa.debian.org/python-team/packages/python-hpilo.git
Homepage: https://github.com/seveas/python-hpilo
Rules-Requires-Root: no

Package: python3-hpilo
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-hpilo-doc
Description: HP iLO XML interface access from Python (Python 3)
 This module will make it easy for you to access the Integrated Lights Out
 management interface of your HP hardware. It supports RILOE II, iLO, iLO 2, iLO
 3 and iLO 4. It uses the XML interface or hponcfg to access and change the iLO.
 .
 This package contains the Python 3 version of hpilo.

Package: python-hpilo-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Description: HP iLO XML interface access from Python - Documentation
 This module will make it easy for you to access the Integrated Lights Out
 management interface of your HP hardware. It supports RILOE II, iLO, iLO 2, iLO
 3 and iLO 4. It uses the XML interface or hponcfg to access and change the iLO.
 .
 This package contains the documentation for hpilo Python module.

=== debian/rules ===
--- 
+++ 
@@ -7,8 +7,13 @@
 PKG3=python3-hpilo
 PKGD=python-hpilo-doc
 
+# https://github.com/seveas/python-hpilo/issues/272
+export PYBUILD_DISABLE=test
+
+export PYBUILD_NAME=hpilo
+
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build
@@ -20,3 +25,8 @@
 	# move generated doc in its own package
 	mkdir -p $(CURDIR)/debian/$(PKGD)/usr/share/doc/$(PKGD)
 	cp -arp docs/_build/html $(CURDIR)/debian/$(PKGD)/usr/share/doc/$(PKGD)
+
+override_dh_auto_clean:
+	rm docs/_build -rf
+	rm examples/elasticsearch/.gitignore
+	dh_auto_clean

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%python-hpilo-$1.tar.gz%" \
https://github.com/seveas/python-hpilo/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
